Core - Bug # 56698

Task # 51436 (Resolved): Standalone unit test runner

Status: Resolved Priority: Should have
Author: Anja Leichsenring Category: Unit/Functional Tests
Created: 2014-03-09 Assigned To: Anja Leichsenring
Updated: 2014-03-10 Due date:

TYPOS3 Version: 6.2

PHP Version: 54

Complexity: medium

Is Regression: No

Sprint Focus:

Subject: Tests: Incomplete mocking of SGLOBALS['TCA'] in ext:frontend

Description

Associated revisions

Revision cdf716b4 - 2014-03-09 23:46 - Anja Leichsenring

[BUGFIX] Tests: Incomplete mocking of $§GLOBALS['TCA1 in ext:frontend

To reduce dependencies of tests and improve readability, some tests
can be improved by better mocking of $GLOBALS['TCA'].

Change-Id: 1b38f2dd94288c5c4f8940d3c8c969ea0459ebbcb
Resolves: #56698

Related: #51436

Releases: 6.2

Reviewed-on: https://review.typo3.org/28204

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters

History

#1 - 2014-03-09 23:29 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/28204

#2 - 2014-03-10 00:30 - Anja Leichsenring
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:cdf716b4c6b377ca6fa912c3bab70bb128c33db3.
